<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <import type="android.view.View" />
        <import type="com.app.model.UserInstance" />

        <variable
            name="library"
            type="com.app.retrofit.model.object.Library" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/semi_transparent"
        android:fitsSystemWindows="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:weightSum="1">

        <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.75"
            card_view:cardCornerRadius="4dp"
            card_view:cardElevation="4dp"
            card_view:cardUseCompatPadding="true">

            <LinearLayout
                android:id="@+id/ll_main"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/background_popup"
                android:orientation="vertical"
                android:padding="1dp">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/colorPrimary"
                        android:gravity="center"
                        android:padding="4dp"
                        android:text="@string/library_detail"
                        android:textSize="16sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <ImageView
                        android:id="@+id/iv_user_listing"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:layout_marginEnd="4dp"
                        android:src="@drawable/ic_user"
                        android:visibility="@{UserInstance.getUser().getRole().viewUsersLibrary ? View.VISIBLE : View.GONE}"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_header_card"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSecondary">

                    <ImageView
                        android:id="@+id/iv_item_image"
                        imageUrl="@{library.path_img}"
                        android:layout_width="124dp"
                        android:layout_height="138dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginBottom="8dp"
                        android:background="@color/transparent"
                        android:src="@drawable/img_loading"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="@android:color/black" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="6dp"
                    android:weightSum="1">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.3"
                        android:text="@string/name" />

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:layout_weight="0.7"
                        android:gravity="end"
                        android:text="@={library.name}"
                        app:hintEnabled="false" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="6dp">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.3"
                        android:text="@string/address" />

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:layout_weight="0.7"
                        android:gravity="end"
                        android:text="@={library.address}"
                        app:hintEnabled="false" />

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/colorPrimary"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <Button
                        android:id="@+id/btn_back"
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@drawable/primary_square_btn"
                        android:text="@string/back"
                        android:textSize="13sp" />

                    <LinearLayout
                        style="@style/VerticalLine"
                        android:background="#000000" />

                    <Button
                        android:id="@+id/btn_modify"
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@drawable/primary_square_btn"
                        android:text="@string/modify"
                        android:textSize="13sp" />

                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>